@media all and (max-width:1920px) {
body{
    margin: 0%;
    width: 100%;
    height: 100vh;
    padding: 0%;
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    align-items: center;
}
.main-content{
     width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}
.calculator{
    width: 50vh;
    height: max-content;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    overflow: hidden;
    background-color: black;
    border-radius: 1vh;
}
#display{
    width: 100%;
    height: 10vh;
    border: none;
    text-align: left;
    background-color: rgb(30, 27, 27);
    color: white;
    display: flex;
    font-size: 3rem;
    padding-left: 5vh;
}
.allButtons{
    display: grid;
    grid-template-columns: repeat(4,minmax(10vh,1fr));
    gap: 2vh;
    padding: 2vh 0;
}
button{
    width: 10vh;
    height: 10vh;
    border: none;
    border-radius: 1vh;
    background-color: rgb(167, 167, 167);
    color: black;
}
button:hover{
     background-color: rgb(211, 209, 209);
}
button:active{
     background-color: rgb(235, 232, 232);
}
.operator-btns{
    background-color: orange;
    color: white;
}
.operator-btns:hover{
    background-color: orange;
    color: white;
}
}

@media all and (max-width:480px) {
    .calculator{
    width: 97%;
    margin: 0% auto;
    
}
}

@media all and (min-width:1920px) {
    .main-content{
     width: 1920px;
}
}